Show / Hide Table of Contents

# Class Coroutines

A class providing coroutine helpers.

##### Inheritance

Object
Coroutines

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Utilities.Async

###### Assembly: IPA.Loader.dll

##### Syntax

    public static class Coroutines

### Methods

| Improve this Doc View Source

#### WaitForTask(Task)

Stalls the coroutine until `task` completes, faults, or is canceled.

##### Declaration

    public static IEnumerator WaitForTask(Task task)

##### Parameters

Type | Name | Description
--- | --- | ---
Task | task | the Task to wait for

##### Returns

Type | Description
--- | ---
IEnumerator | a coroutine waiting for the given task